> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update folder

> Updates a folder name and/or description.



## OpenAPI

````yaml /api-reference/openapi.json post /folder/update
openapi: 3.1.0
info:
  title: SuperU API
  description: >-
    Comprehensive API reference for SuperU voice agents, calls, tools, contacts,
    audiences, and knowledge bases.
  version: 1.0.0
servers:
  - url: https://voip-middlware.superu.ai
    description: Production
security:
  - superUApiKey: []
tags:
  - name: Calls
    description: Create and analyze calls.
  - name: Agents
    description: Create, list, import, update, and delete agents.
  - name: Agent Versions
    description: Manage versions for existing agents.
  - name: Phone Numbers
    description: Fetch phone numbers available in your account.
  - name: Call Logs
    description: Retrieve call history with filters.
  - name: Tools
    description: Create and manage callable tools.
  - name: Folders
    description: Organize agents into folders.
  - name: Contacts
    description: Create and list contacts.
  - name: Audiences
    description: Create and manage audiences and contacts.
  - name: Knowledge Base
    description: Upload and manage knowledge bases.
  - name: Campaigns
    description: Create and manage outbound campaigns with automated workflows.
paths:
  /folder/update:
    post:
      tags:
        - Folders
      summary: Update folder
      description: Updates a folder name and/or description.
      operationId: updateFolder
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FolderUpdateRequest'
            example:
              folder_id: 25388237-72ba-46a9-b8b5-f0341939775c
              folder_name: Outbound Team
              description: Top of funnel campaigns
        description: Request body for Update folder.
      responses:
        '200':
          description: Folder updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponse'
              example:
                success: true
                folder:
                  _id: 69f9a4393fd42c4dfc2aaaa9
                  folder_id: 25388237-72ba-46a9-b8b5-f0341939775c
                  user_id: user_32UrXxvrVxWSYp1dGLsPdElDtRu
                  name: Outbound Team
                  description: Top of funnel campaigns
                  agent_ids: []
                  created_at:
                    $date: '2026-05-05T08:03:05.855Z'
                  updated_at:
                    $date: '2026-05-05T08:07:13.690Z'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '501':
          $ref: '#/components/responses/NotImplemented'
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request POST \\
              --url https://voip-middlware.superu.ai/folder/update \\
              --header 'superU-Api-Key: YOUR_SUPERU_API_KEY' \\
              --data '{
              "folder_id": "25388237-72ba-46a9-b8b5-f0341939775c",
              "folder_name": "Outbound Team",
              "description": "Top of funnel campaigns"
            }'
        - lang: python
          label: Python
          source: |-
            from superu import SuperU

            client = SuperU("YOUR_SUPERU_API_KEY")

            payload = {
                "folder_id": "25388237-72ba-46a9-b8b5-f0341939775c",
                "folder_name": "Outbound Team",
                "description": "Top of funnel campaigns"
            }

            response = client.folders.update(**payload)
            print(response)
components:
  schemas:
    FolderUpdateRequest:
      allOf:
        - type: object
          required:
            - folder_id
          properties:
            folder_id:
              type: string
              description: Folder ID
              example: 25388237-72ba-46a9-b8b5-f0341939775c
            folder_name:
              type: string
              description: New folder name
              example: Outbound Team
            description:
              type: string
              description: New description
              example: Top of funnel campaigns
        - anyOf:
            - required:
                - folder_name
            - required:
                - description
      description: Folder Update Request schema.
    GenericResponse:
      type: object
      properties:
        status:
          type: string
          description: Indicates if the request was successful.
          example: success
        message:
          type: string
          description: A descriptive message about the result of the request.
          example: Request completed successfully
        data:
          type: object
          additionalProperties: true
          description: The payload of the response, if any.
      additionalProperties: true
      description: A generic response schema for successful API calls.
    ErrorResponse:
      type: object
      required:
        - message
      properties:
        status:
          type: string
          example: error
          description: Status value.
        message:
          type: string
          example: Invalid request payload
          description: Message value.
        error:
          type: string
          example: Bad Request
          description: Error value.
        code:
          type: string
          example: BAD_REQUEST
          description: Code value.
      additionalProperties: true
      description: Error Response schema.
  responses:
    BadRequest:
      description: Bad Request - invalid parameters or payload.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            status: error
            code: BAD_REQUEST
            message: Request validation failed.
    Unauthorized:
      description: Unauthorized - missing or invalid API key.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            status: error
            code: UNAUTHORIZED
            message: Invalid or missing superU-Api-Key.
    NotFound:
      description: Not Found - requested resource does not exist.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            status: error
            code: NOT_FOUND
            message: Resource not found.
    InternalServerError:
      description: Internal Server Error - unexpected backend error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            status: error
            code: INTERNAL_SERVER_ERROR
            message: An unexpected server error occurred.
    NotImplemented:
      description: >-
        Not Implemented - this action is not available in the current
        deployment.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            status: error
            code: NOT_IMPLEMENTED
            message: This endpoint is not implemented for your workspace.
  securitySchemes:
    superUApiKey:
      type: apiKey
      in: header
      name: superU-Api-Key
      description: Your SuperU API key.

````